import { getAction } from "./manage";

//自身未接听时挂断
const sysCallHangup = (param) => {
  param.cmd = "sysCallHangup";
  return getAction("/dispatch/api", param);
};

//监听接口
const sysCallMonitor = (param) => {
  param.cmd = "sysCallMonitor";
  return getAction("/dispatch/api", param);
};

//组织架构
const getOrgStructure = (param) => {
  param.cmd = "getOrgStructure";
  return getAction("/dispatch/api", param);
};

//常用联系人
const getContacts = (param) => {
  param.cmd = "getContacts";
  return getAction("/dispatch/api", param);
};

//会议列表
const meetList = (param) => {
  param.cmd = "meetList";
  return getAction("/dispatch/api", param);
};

//临时语音会议、临时视频会议
const tempMeet = (param) => {
  param.cmd = "tempMeet";
  return getAction("/dispatch/api", param);
};

//语音会议成员、视频会议成员、广播成员
const getMeetMembers = (param) => {
  param.cmd = "getMeetMembers";
  return getAction("/dispatch/api", param);
};

//会议详情
const meetDetail = (param) => {
  param.cmd = "meetDetail";
  return getAction("/dispatch/api", param);
};

//会议、广播明细导出
const exportMeetDetail = (param) => {
  param.cmd = "exportMeetDetail";
  return getAction("/dispatch/api", param);
};
//会议添加人员
const meetAdd = (param) => {
  param.cmd = "meet_add";
  return getAction("/dispatch/api", param);
};
//会议剔除成员
const meetKick = (param) => {
  param.cmd = "meet_kick";
  return getAction("/dispatch/api", param);
};

//会议关闭
const meetOff = (param) => {
  param.cmd = "meet_off";
  return getAction("/dispatch/api", param);
};

//会议成员退出
const meetOut = (param) => {
  param.cmd = "meet_out";
  return getAction("/dispatch/api", param);
};

//获取对讲组列表
const getChannelList = (param) => {
  param.cmd = "getChannelList";
  return getAction("/dispatch/api", param);
};

//获取对讲组成员列表
const getChannelUser = (param) => {
  param.cmd = "getChannelUser";
  return getAction("/dispatch/api", param);
};

const channelIn = (param) => {
  param.cmd = "channel_in";
  return getAction("/dispatch/api", param);
};

const channelGet = (param) => {
  param.cmd = "channel_get";
  return getAction("/dispatch/api", param);
};

const channelRelease = (param) => {
  param.cmd = "channel_release";
  return getAction("/dispatch/api", param);
};

const channelOut = (param) => {
  param.cmd = "channel_out";
  return getAction("/dispatch/api", param);
};

const getTempChannel = (param) => {
  param.cmd = "getTempChannel";
  return getAction("/dispatch/api", param);
};

const channelDetail = (param) => {
  param.cmd = "channelDetail";
  return getAction("/dispatch/api", param);
};

const exportChannelDetail = (param) => {
  param.cmd = "exportChannelDetail";
  return getAction("/dispatch/api", param);
};

export default {
  meetAdd,
  sysCallHangup,
  sysCallMonitor,
  getOrgStructure,
  getContacts,
  meetList,
  tempMeet,
  getMeetMembers,
  exportMeetDetail,
  meetKick,
  meetOff,
  meetOut,
  meetDetail,
  getChannelList,
  getChannelUser,
  channelIn,
  channelGet,
  channelRelease,
  channelOut,
  getTempChannel,
  channelDetail,
  exportChannelDetail,
};
