export default {
  //用户在线状态变更
  extension_status_notice: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },
  //用户通话状态变更
  extension_state_notice: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },
  //对讲组超时强制退出通知
  channel_hangup: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },
  //被叫不在线
  callee_offline: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },
  //非系统用户
  callee_not_sys_user: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },
  //被叫正在通话中
  callee_busy: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },
  //当系统内通话数量变更时，所有调度台会收到此通知
  sys_now_call: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },

  //当发起会议、广播时，发起的会议、广播号码不在系统中时，发起者会收到此消息
  meetnum_not_system: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },

  //当成员进入会议后，已经进入会议的成员会收到此通知
  meet_in: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },

  //当会议新增成员后，已经进入会议的成员会收到此通知
  meet_add: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },

  //当会议发起后，会议内的所有成员会收到此通知
  meet_on: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },

  //当用户退出会议后，会议内的所有进入的成员会收到此通知
  meet_out: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },

  //当关闭会议时，会议内的所有的成员会收到此通知
  meet_off: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },

  //当会议踢出人员时，会议内的所有进入的成员会收到此通知
  meet_kick: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },

  //当收到进入对讲组的通知时,此时自己又不在对讲组内，必须进入对讲组
  channel_in: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },

  //当对讲组超时状态开启时，在规定的时间内，对讲组无人发言则给当前对讲组在线人员发送强制退出消息,当收到此通知时必须退出当前对讲组。
  //如果是开启状态，且未设置超时时间，则为系统默认时间120s
  channel_hangup: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },

  //当组员抢话成功后，组内所有进入对讲组的成员都会收到此通知
  channel_get: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },

  //当组员释放话权成功后，组内所有进入对讲组的成员都会收到此通知
  channel_release: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },

  //当组员退出对讲组成功后，组内所有进入对讲组的成员都会收到此通知
  channel_out: ({ cmd, data, callBack }) => {
    callBack(cmd, data);
  },
};
